- Qt 5.15
- Qt Positioning
- C++ Classes
- QGeoShape
- Qt 5.15.19 Reference Documentation

# Obsolete Members for QGeoShape

The following members of class QGeoShape are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

## Public Functions

`(obsolete)` void | extendShape(const QGeoCoordinate &coordinate) | [see note below]

Note: This function can be invoked via the meta-object system and from QML. See Q_INVOKABLE.

## Member Function Documentation

### void QGeoShape::extendShape(const QGeoCoordinate &coordinate)

This function is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This method used to extend the geo shape to also cover the coordinate coordinate.

It currently only works for QGeoCircle and QGeoRectangle, on which the functionality remains, now also accessible through QGeoCircle::extendCircle and QGeoRectangle::extendRectangle.

This method should therefore not be called on a generic QGeoShape any longer, as the behavior for other shape types is undefined.

Note: This function can be invoked via the meta-object system and from QML. See Q_INVOKABLE.

See also QGeoRectangle::extendRectangle and QGeoCircle::extendCircle.